#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CheckAlertActionLogEntry {
    #[serde(rename = "performedBy")]
    performed_by: super::super::super::rids::api::UserRid,
    #[builder(custom(type = super::CheckAlertAction, convert = Box::new))]
    #[serde(rename = "action")]
    action: Box<super::CheckAlertAction>,
    #[serde(rename = "timestamp")]
    timestamp: conjure_object::DateTime<conjure_object::Utc>,
}
impl CheckAlertActionLogEntry {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        performed_by: super::super::super::rids::api::UserRid,
        action: super::CheckAlertAction,
        timestamp: conjure_object::DateTime<conjure_object::Utc>,
    ) -> Self {
        Self::builder()
            .performed_by(performed_by)
            .action(action)
            .timestamp(timestamp)
            .build()
    }
    #[inline]
    pub fn performed_by(&self) -> &super::super::super::rids::api::UserRid {
        &self.performed_by
    }
    #[inline]
    pub fn action(&self) -> &super::CheckAlertAction {
        &*self.action
    }
    #[inline]
    pub fn timestamp(&self) -> conjure_object::DateTime<conjure_object::Utc> {
        self.timestamp
    }
}
